#include "mbed.h"
#include "Motor.h"

//Sends joystick positions to robot

DigitalOut led1(LED1);
DigitalOut led2(LED2);
DigitalOut led3(LED3);
DigitalOut led4(LED4);

AnalogIn jx1(p17);
AnalogIn jy1(p18);
AnalogIn jx2(p19);
AnalogIn jy2(p20);

Serial rpi(p9,p10);

int main()
{
    rpi.baud(9600);
    
    while(1) {
            float x1_robot = 2*jx1-1;
            float y1_robot = 2*jy1-1;
            float x2_camera = 2*jx2-1;
            float y2_camera = 2*jy2-1;
            
            x1_robot = x2_camera;
            y1_robot = y2_camera;
            
            rpi.printf("%f %f %f %f\r", x1_robot, y1_robot, x2_camera, y2_camera);
             
    }
}